- List all resource collections
- okta.governance.collections.read
- APP_ADMIN
Lists all resource collections
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
A filter expression that filters data based on id, name, resourceOrn, or principalOrn resource collection properties. The sw and co operators are supported for name, and the eq operator is supported for id, resourceOrn, and principalOrn.
When filtering by resourceOrn, Okta returns only collections that contain the specified resource. Each collection in the response includes a resourceRelationship object with details about when the resource was added.
When filtering by principalOrn, Okta returns only collections assigned to the specified principal. Each collection in the response includes a principalAssignment object with assignment details.
Note: Query parameter percent encoding is required. See Percent-encoding.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v2/collections
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v2/collections?include=counts&limit=20&after=00u68w6vzKLultXS97g6&filter=name%20sw%20%22Sales%22'A successful resource collection list response (v2)
Link relations available using the JSON Hypertext Application Language
List of collections
{ "data": [ { … }, { … }, { … } ], "_links": { "next": { … }, "self": { … } }, "metadata": { "total": 3 } }